TreeNodeWithProperties (groovy 2.4.6 API)
Date: 2016-02-18

Package: groovy.inspect.swingui

## [Groovy] Class TreeNodeWithProperties

- groovy.inspect.swingui.TreeNodeWithProperties

- This class is a TreeNode and you can store additional properties on it.

  Authors:
    Hamlet D'Arcy

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class DefaultMutableTreeNode` | `EMPTY_ENUMERATION`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `List<List<String>>` | `properties`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TreeNodeWithProperties (def userObject, List<List<String>> properties)` Creates a tree node and attaches properties to it.

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getPropertyValue(String name)`
    `boolean` | `isClassNode()`
    `boolean` | `isMethodNode()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DefaultMutableTreeNode` | `getDepth, getChildCount, getChildAt, removeAllChildren, children, removeFromParent, setUserObject, getAllowsChildren, isLeaf, getRoot, breadthFirstEnumeration, depthFirstEnumeration, getChildAfter, getChildBefore, getFirstChild, getFirstLeaf, getLastChild, getLastLeaf, getLeafCount, getNextLeaf, getNextNode, getNextSibling, getPreviousLeaf, getPreviousNode, getPreviousSibling, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, setAllowsChildren, add, remove, remove, toString, clone, getParent, insert, setParent, getPath, getIndex, getLevel, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### List<List<String>> properties

  - ### Constructor Detail

    - #### TreeNodeWithProperties(def userObject, List<List<String>> properties)

      Creates a tree node and attaches properties to it.

      Parameters:
        `userObject` - same as a DefaultMutableTreeNode requires
        `properties` - a list of String lists

  - ### Method Detail

    - #### String getPropertyValue(String name)

    - #### boolean isClassNode()

    - #### boolean isMethodNode()